Package net.postgis.jdbc.geometry.binary

# Class ByteGetter.StringByteGetter

java.lang.Object
net.postgis.jdbc.geometry.binary.ByteGetter
net.postgis.jdbc.geometry.binary.ByteGetter.StringByteGetter

Enclosing class:
  `ByteGetter`

public static class ByteGetter.StringByteGetter extends ByteGetter

## Nested Class Summary

## Nested classes/interfaces inherited from class net.postgis.jdbc.geometry.binary.ByteGetter

`ByteGetter.BinaryByteGetter, ByteGetter.StringByteGetter`

## Constructor Summary

Constructors
Constructor
Description
`StringByteGetter(String rep)`

## Method Summary

Modifier and Type
Method
Description
`int`
`get(int index)`
Get a byte.
`static byte`
`unhex(char c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringByteGetter

public StringByteGetter(String rep)

## Method Details

### get

public int get(int index)
Description copied from class: `ByteGetter`
Get a byte.

Specified by:
  `get` in class `ByteGetter`
Parameters:
  `index` - the index to get the value from
Returns:
  The result is returned as Int to eliminate sign problems when or'ing several values together.

### unhex

public static byte unhex(char c)